Subject: Re: [net 1/2] selftests/net: fix opening object file failed

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Oct 2022 18:53:11 -0700

On Tue, 18 Oct 2022 18:30:07 -0700 Martin KaFai Lau wrote:
> > Can we move the programs and create a dependency from them back
> > to networking? Perhaps shared components like udpgso_* need to live
> > under tools/net so they can be easily "depended on"?
> > 
> > Either that or they need to switch to a different traffic generator for
> > the BPF test, cause there's more networking selftests using the UDP
> > generators :(  
> 
> All (at least most) of the selftests/bpf/test_prog's tests generate its own 
> traffic for unit test purpose such that each test is self contained.  The 
> udpgro_frglist test should do the same in selftests/bpf/test_prog (meaning the 
> test itself should generate its own testing traffic).  Also, it does not look 
> like it is actually using udpgso_bench_* to do benchmarking.

Sure, copy & paste of the right snippet will work too. 
Shouldn't be a lot of code to send and receive a few UDP GSOs.